Page MenuHomeFreeBSD

D46219.diff
No OneTemporary

D46219.diff

diff --git a/libexec/rc/rc b/libexec/rc/rc
--- a/libexec/rc/rc
+++ b/libexec/rc/rc
@@ -72,6 +72,11 @@
set +o verify
load_rc_config $rc_config_xtra
+if have DebugOn; then
+ # allow DEBUG_SH to be set from loader prompt
+ export DEBUG_SH=${DEBUG_SH:-$(kenv -q DEBUG_SH)}
+fi
+
# If we receive a SIGALRM, re-source /etc/rc.conf; this allows rc.d
# scripts to perform "boot-time configuration" including enabling and
# disabling rc.d scripts which appear later in the boot order.
diff --git a/libexec/rc/rc.subr b/libexec/rc/rc.subr
--- a/libexec/rc/rc.subr
+++ b/libexec/rc/rc.subr
@@ -2767,10 +2767,7 @@
# Ensure we can still operate if debug.sh and
# safe_eval.sh are not found.
-if have DebugOn; then
- # allow DEBUG_SH to be set from loader prompt
- DEBUG_SH=${DEBUG_SH:-$(kenv -q DEBUG_SH)}
-else
+if ! have DebugOn; then
DebugOn() { return 0; }
DebugOff() { return 0; }
fi

File Metadata

Mime Type
text/plain
Expires
Sun, Feb 9, 2:03 AM (13 h, 59 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
16539993
Default Alt Text
D46219.diff (893 B)

Event Timeline